﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using Infragistics.WebUI.UltraWebGrid;

namespace InfragisticsTestApp
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                // Populate the drop downs
                for (int i = 0; i < 20; i++)
                {
                    DropDownList1.Items.Add("item" + i.ToString());
                    DropDownList2.Items.Add("item" + i.ToString());
                }
            }
        }

        protected void UltraWebGrid1_InitializeDataSource(object sender, UltraGridEventArgs e)
        {
            UltraWebGrid1.DataSource = GetData();
            UltraWebGrid1.DataBind();
            
            // Update time in Panel 3 if this method is called
            Label1.Text = DateTime.Now.ToString();
            UpdatePanel3.Update();
        }

        private DataSet GetData()
        {
            // Create dummy dataset
            DataTable table1 = new DataTable("table1");
            table1.Columns.Add("id");
            table1.Columns.Add("name");

            for (int i = 0; i < 50; i++)
            {
                table1.Rows.Add(i, "name" + i);
            }

            DataSet ds = new DataSet();
            ds.Tables.Add(table1);

            return ds;
        }

        protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
        {
            // Update DropDownList2 when DropDownList1 changes
            if (DropDownList1.SelectedIndex > 10)
            {
                DropDownList2.SelectedIndex = DropDownList1.SelectedIndex - 1;
            }
            else
            {
                DropDownList2.SelectedIndex = DropDownList1.SelectedIndex + 1;
            }

            UpdatePanel1.Update();
        }
    }
}
